# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section         free
%define component	persistence

# To make the tarball:
#  export CVSROOT=:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/perseus
#  cvs login
#  cvs export -r PERSISTENCE_1_5_1 persistence

Name:		perseus-%{component}
Summary:	Perseus persistence component
Version: 	1.5.1
Release:	1jpp
Epoch:		0
URL: 		http://perseus.objectweb.org/doc/%{component}/
License: 	LGPL
Group: 		Development/Libraries/Java
Distribution:   JPackage
Vendor:         JPackage Project
Source: 	%{name}-%{version}.tar.bz2
BuildRequires:	jpackage-utils, ant, objectweb-anttask
BuildRequires:	fractal
BuildRequires:	monolog
BuildRequires:	perseus-cache
BuildRequires:	perseus-concurrency >= 1.5.1
BuildRequires:	perseus-dependency
BuildRequires:	perseus-distribution
Requires:	fractal
Requires:	monolog
Requires:	perseus-cache
Requires:	perseus-concurrency >= 1.5.1
Requires:	perseus-dependency
Requires:	perseus-distribution
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch

%description
Perseus provides various components for managing persistency.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{component}

find . -name '*.?ar' | xargs rm -f

build-jar-repository externals \
    fractal/fractal \
    monolog/ow_monolog \
    perseus/ow_perseus_cache \
    perseus/ow_perseus_concurrency \
    perseus/ow_perseus_dependency \
    perseus/ow_perseus_distribution

%build
unset CLASSPATH
export OPT_JAR_LIST="objectweb-anttask"
ant jar jdoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/perseus
install -m 644 output/dist/lib/ow_perseus_%{component}.jar \
    $RPM_BUILD_ROOT%{_javadir}/perseus/ow_perseus_%{component}-%{version}.jar
ln -s ow_perseus_%{component}-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/perseus/ow_perseus_%{component}.jar

install -m 644 output/dist/lib/ow_perseus_connection_holder.jar \
	$RPM_BUILD_ROOT%{_javadir}/perseus/ow_perseus_connection_holder-%{version}.jar
ln -s ow_perseus_connection_holder-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/perseus/ow_perseus_connection_holder.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/dist/doc/jdoc/perseus_%{component} \
    $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/perseus

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Thu Mar 09 2006 Fernando Nasser <fnasser@redhat.com> 0:1.5.1-1jpp
- First JPP 1.7 build

* Fri Oct 21 2005 Deepak Bhole <dbhole@redhat.com> 0:1.5.1-1jpp_1rh
- Updated version

* Wed Jul 27 2005 Deepak Bhole <dbhole@redhat.com> 0:1.5.0-1jpp_1rh
- Updated version

* Mon Jul 18 2005 Deepak Bhole <dbhole@redhat.com> 0:1.4.1-1jpp_1rh
- Updated version and dependencies.

* Thu Jun 30 2005 Gary Benson <gbenson@redhat.com> 0:1.3.4-1jpp_1fc
- Remove dependency on log4j.

* Wed Jun 29 2005 Gary Benson <gbenson@redhat.com> 0:1.3.4-1jpp
- Initial build.

